## bijiben 3.30.3

=== meson_options.txt ===
option('zeitgeist', type: 'boolean', value: false, description: 'Enable Zeitgeist')
option('update_mimedb', type: 'boolean', value: true, description: 'update-mime-database after install')

## bijiben 3.8.4

=== debian/changelog ===
bijiben (3.8.4-2) unstable; urgency=low

  * Upload to unstable (now that build-depends are satisfied in unstable).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 05 Sep 2013 14:32:22 -0700

bijiben (3.8.4-1) experimental; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 19 Aug 2013 02:12:37 -0700

bijiben (3.8.3-2) experimental; urgency=low

  * Explicitly depend on tracker. (LP: #1200015)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 14 Jul 2013 02:47:21 -0700

bijiben (3.8.3-1) experimental; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 23 Jun 2013 22:53:39 -0700

bijiben (3.8.2-1) experimental; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 26 May 2013 03:10:33 -0700

bijiben (3.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 18 Apr 2013 20:24:27 -0700

bijiben (3.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 26 Mar 2013 21:19:36 -0700

bijiben (3.7.92-1) experimental; urgency=low

  * Initial release. (Closes: #699726)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 18 Mar 2013 19:27:14 -0700

=== debian/control ===
Source: bijiben
Section: gnome
Priority: optional
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends: debhelper (>= 9),
 autotools-dev,
 intltool (>= 0.35.0),
 libclutter-gtk-1.0-dev (>= 1.4.2),
 libglib2.0-dev (>= 2.28.0),
 libgtk-3-dev (>= 3.7.7),
 libtracker-sparql-0.16-dev,
 libwebkitgtk-3.0-dev,
 libxml2-dev,
 libzeitgeist-dev,
 pkg-config (>= 0.14.0),
 uuid-dev,
 yelp-tools
Standards-Version: 3.9.4
Homepage: https://live.gnome.org/Bijiben
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/bijiben/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/bijiben/trunk

Package: bijiben
Architecture: any
Depends: tracker, ${shlibs:Depends}, ${misc:Depends}
Description: intuitive note editor integrated with GNOME 3
 Bijiben is a note editor that is designed to be intuitive and easy to use,
 and well integrated with GNOME 3. It aims to be simple and has an emphasis
 on visuals: quickly write notes, and quickly retrieve them.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --disable-silent-rules

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install --fail-missing

## bijiben 3.12.2

=== debian/changelog ===
bijiben (3.12.2-1build1) utopic; urgency=medium

  * No-change upload to force a rebuild in Ubuntu, since the previous
    version was temporarily deleted from -proposed and thus no longer has
    usable build records.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Aug 2014 02:39:06 +0100

bijiben (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Add manpage for bijiben.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 12 May 2014 23:22:16 -0700

bijiben (3.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 10 May 2014 00:03:33 -0700

bijiben (3.12.0-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
    - Bump build-dep on libgtk-3-dev to >= 3.11.4.
    - Add new build-dep on libtracker-sparql-1.0-dev. (Closes: #741426)
    - Add new build-dep on desktop-file-utils (for desktop-file-validate).

 -- Vincent Cheng <vcheng@debian.org>  Tue, 25 Mar 2014 15:57:23 -0700

bijiben (3.10.2-1) unstable; urgency=medium

  * New upstream release.
    - Bump build-dep on libgtk-3-dev to >= 3.9.3.
    - Add new build-dep on libgoa-1.0-dev.
    - Add new build-dep on libzeitgeist-2.0-dev. (LP: #1197569)
  * Update Standards version to 3.9.5, no changes required.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 15 Feb 2014 22:41:13 -0800

=== debian/control ===
Source: bijiben
Section: gnome
Priority: optional
Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 desktop-file-utils,
 intltool (>= 0.35.0),
 libclutter-gtk-1.0-dev (>= 1.4.2),
 libglib2.0-dev (>= 2.28.0),
 libgoa-1.0-dev,
 libgtk-3-dev (>= 3.11.4),
 libtracker-sparql-1.0-dev,
 libwebkitgtk-3.0-dev,
 libxml2-dev,
 libzeitgeist-2.0-dev,
 pkg-config (>= 0.14.0),
 uuid-dev,
 yelp-tools
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Apps/Bijiben
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/bijiben/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/bijiben/trunk

Package: bijiben
Architecture: any
Depends: tracker, ${misc:Depends}, ${shlibs:Depends}
Description: intuitive note editor integrated with GNOME 3
 Bijiben is a note editor that is designed to be intuitive and easy to use,
 and well integrated with GNOME 3. It aims to be simple and has an emphasis
 on visuals: quickly write notes, and quickly retrieve them.

## bijiben 3.14.2

=== debian/changelog ===
bijiben (3.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 10 Nov 2014 21:15:57 -0800

bijiben (3.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 13 Oct 2014 23:35:22 -0700

bijiben (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build-deps: evolution-dev, evolution-data-server-dev, libecal1.2-dev.
  * Remove build-dep on libclutter-gtk-1.0-dev.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Sep 2014 00:42:30 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
  autotools-dev,
  debhelper (>= 9),
  desktop-file-utils,
+ evolution-dev,
+ evolution-data-server-dev,
  intltool (>= 0.35.0),
- libclutter-gtk-1.0-dev (>= 1.4.2),
+ libecal1.2-dev,
  libglib2.0-dev (>= 2.28.0),
  libgoa-1.0-dev,
  libgtk-3-dev (>= 3.11.4),
@@ -18,7 +20,7 @@
  pkg-config (>= 0.14.0),
  uuid-dev,
  yelp-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Bijiben
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/bijiben/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/bijiben/trunk

## bijiben 3.16.2

=== debian/changelog ===
bijiben (3.16.2-2build1) wily; urgency=medium

  * No-change rebuild against new e-d-s

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Jun 2015 11:57:20 +0100

bijiben (3.16.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 12 Jun 2015 01:14:42 -0700

bijiben (3.16.2-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
    - Fixes FTBFS with evolution-data-server 3.16. (Closes: #787379)
    - Tighten build-dep on various e-d-s components to (>= 3.13.90).

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Jun 2015 01:59:28 -0700

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  autotools-dev,
  debhelper (>= 9),
  desktop-file-utils,
- evolution-dev,
- evolution-data-server-dev,
  intltool (>= 0.35.0),
- libecal1.2-dev,
+ libecal1.2-dev (>= 3.13.90),
+ libedataserver1.2-dev (>= 3.13.90),
+ libedataserverui1.2-dev (>= 3.13.90),
  libglib2.0-dev (>= 2.28.0),
  libgoa-1.0-dev,
  libgtk-3-dev (>= 3.11.4),

## bijiben 3.18.2

=== debian/changelog ===
bijiben (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Add explicit dependency on evolution-data-server. (Closes: #802467)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 21 Dec 2015 00:06:48 -0800

bijiben (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 13 Oct 2015 01:08:37 -0700

bijiben (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 20 Sep 2015 17:37:37 -0700

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 Package: bijiben
 Architecture: any
-Depends: tracker, ${misc:Depends}, ${shlibs:Depends}
+Depends: evolution-data-server, tracker, ${misc:Depends}, ${shlibs:Depends}
 Description: intuitive note editor integrated with GNOME 3
  Bijiben is a note editor that is designed to be intuitive and easy to use,
  and well integrated with GNOME 3. It aims to be simple and has an emphasis

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@  --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --disable-silent-rules \
	                     --disable-update-mimedb

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install

## bijiben 3.20.2

=== debian/changelog ===
bijiben (3.20.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/Rename-remaining-references-of-bijibendesktop-to-o.patch: Rename
    remaining references of bijiben.desktop to org.gnome.bijiben.desktop, this
    fixes the search provider and zeitgeist integration (Closes: #859985)
  * debian/rules: Move bijiben-shell-search-provider to /usr/lib/bijiben
    (Closes: #860021)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Apr 2017 14:15:28 +0200

bijiben (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version to 3.9.8, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 10 May 2016 02:58:17 -0700

bijiben (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version to 3.9.7, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 03 Apr 2016 21:41:50 -0700

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,10 @@
  pkg-config (>= 0.14.0),
  uuid-dev,
  yelp-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Bijiben
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/bijiben/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/bijiben/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/bijiben/trunk
 
 Package: bijiben
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static --disable-silent-rules \
-	                     --disable-update-mimedb
+	                     --disable-update-mimedb --libexecdir=/usr/lib/bijiben
 
 override_dh_install:
 	find $(CURDIR) -name "*.la" -delete

## bijiben 3.26.1

=== debian/changelog ===
bijiben (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1720690)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 Oct 2017 17:38:41 -0400

bijiben (3.26.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/control:
    - Switch to webkit2gtk (Closes: #866633) (LP: #1588150)
    - Build with tracker 2 (Closes: #874384)
    - Bump minimum libglib2.0-dev to 2.53.4
    - Drop obsolete Build-Depends on libedataserverui1.2-dev
  * Drop Rename-remaining-references-of-bijibendesktop-to-o.patch:
    - Applied in new release
  * Add build-with-tracker2.patch:
    - Allow building with tracker 2
  * Bump debhelper compat to 10 for automatic dh_autoreconf

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 13:55:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 10),
  desktop-file-utils,
  intltool (>= 0.35.0),
  libecal1.2-dev (>= 3.13.90),
  libedataserver1.2-dev (>= 3.13.90),
- libedataserverui1.2-dev (>= 3.13.90),
- libglib2.0-dev (>= 2.28.0),
+ libglib2.0-dev (>= 2.53.4),
  libgoa-1.0-dev,
  libgtk-3-dev (>= 3.11.4),
- libtracker-sparql-1.0-dev,
- libwebkitgtk-3.0-dev,
+ libtracker-sparql-2.0-dev,
+ libwebkit2gtk-4.0-dev,
  libxml2-dev,
  libzeitgeist-2.0-dev,
  pkg-config (>= 0.14.0),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 %:
-	dh $@  --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static --disable-silent-rules \

## bijiben 3.28.1

=== debian/changelog ===
bijiben (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on xdg-utils for email feature
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Apr 2018 19:27:33 -0400

bijiben (3.28.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Update Vcs-* for migration from collab-maint svn to GNOME git
  * debian/gbp.conf: Add

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Mar 2018 20:48:40 -0400

bijiben (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Drop no longer needed libzeitgeist-dev Build-Depends
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 08:47:15 -0500

bijiben (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 08 Feb 2018 11:59:27 -0500

bijiben (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Change maintainer to Debian GNOME Team, with Vincent's permission
  * Drop build-with-tracker.patch: Applied in new release
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 12:01:23 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: bijiben
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 11.1.3),
               desktop-file-utils,
               gnome-pkg-tools,
               itstool,
               libecal1.2-dev (>= 3.13.90),
               libedataserver1.2-dev (>= 3.13.90),
               libglib2.0-dev (>= 2.53.4),
               libgoa-1.0-dev,
               libgtk-3-dev (>= 3.11.4),
               libtracker-sparql-2.0-dev,
               libwebkit2gtk-4.0-dev,
               libxml2-dev,
               meson (>= 0.43.0),
               pkg-config (>= 0.14.0),
               uuid-dev
Standards-Version: 4.1.4
Homepage: https://wiki.gnome.org/Apps/Bijiben
Vcs-Git: https://salsa.debian.org/gnome-team/bijiben.git
Vcs-Browser: https://salsa.debian.org/gnome-team/bijiben

Package: bijiben
Architecture: any
Depends: evolution-data-server,
         tracker,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: intuitive note editor integrated with GNOME 3
 Bijiben is a note editor that is designed to be intuitive and easy to use,
 and well integrated with GNOME 3. It aims to be simple and has an emphasis
 on visuals: quickly write notes, and quickly retrieve them.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/bijiben \
		-Dupdate_mimedb=false

## bijiben 3.30.0

=== debian/changelog ===
bijiben (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Update homepage and Vcs fields for project rename (to gnome-notes)
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 11:05:25 -0400

bijiben (3.28.2-1) unstable; urgency=medium

  * New upstream release (LP: #1771022) (Closes: #896869)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 May 2018 16:21:43 -0400

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,11 @@
                meson (>= 0.43.0),
                pkg-config (>= 0.14.0),
                uuid-dev
-Standards-Version: 4.1.4
-Homepage: https://wiki.gnome.org/Apps/Bijiben
-Vcs-Git: https://salsa.debian.org/gnome-team/bijiben.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/bijiben
+Standards-Version: 4.2.1
+X-Ubuntu-Use-Langpack: yes
+Homepage: https://wiki.gnome.org/Apps/Notes
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-notes.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-notes
 
 Package: bijiben
 Architecture: any

## bijiben 3.30.3

=== debian/changelog ===
bijiben (3.30.3-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 17:47:29 -0500

bijiben (3.30.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 07:36:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Vincent Cheng <vcheng@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                desktop-file-utils,
                gnome-pkg-tools,
@@ -18,11 +18,12 @@
                libgtk-3-dev (>= 3.11.4),
                libtracker-sparql-2.0-dev,
                libwebkit2gtk-4.0-dev,
+               libxml2-utils,
                libxml2-dev,
                meson (>= 0.43.0),
                pkg-config (>= 0.14.0),
                uuid-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://wiki.gnome.org/Apps/Notes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-notes.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

## bijiben 3.32.0

=== debian/changelog ===
bijiben (3.32.0-2) experimental; urgency=medium

  * eds-provider-Port-to-libecal-2.0.patch: Cherry-pick from upstream. Port to
    libecal 2

 -- Iain Lane <laney@debian.org>  Thu, 01 Aug 2019 18:51:49 +0100

bijiben (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 19:06:54 -0400

bijiben (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Stop overriding libexecdir

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Feb 2019 11:17:10 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
-               gnome-pkg-tools,
+               dh-sequence-gnome,
                itstool,
-               libecal1.2-dev (>= 3.13.90),
+               libecal2.0-dev,
                libedataserver1.2-dev (>= 3.13.90),
                libglib2.0-dev (>= 2.53.4),
                libgoa-1.0-dev,

## bijiben 3.34.1

=== debian/changelog ===
bijiben (3.34.1-1) unstable; urgency=medium

  * New upstream translations update 

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 15 Oct 2019 21:25:31 -0400

bijiben (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 14:51:42 +0200

bijiben (3.34.0-1) experimental; urgency=medium

  * New upstream release
  * d/p/eds-provider-Port-to-libecal-2.0.patch: Dropped, included in new release
  * docs: install README.md

 -- Tim Lunn <tim@feathertop.org>  Sun, 22 Sep 2019 13:05:24 +1000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
-               libecal2.0-dev,
+               libecal2.0-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.13.90),
                libglib2.0-dev (>= 2.53.4),
                libgoa-1.0-dev,

## bijiben 3.36.1

=== debian/changelog ===
bijiben (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Apr 2020 20:23:19 -0400

bijiben (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libhandy
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 16:59:05 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                libglib2.0-dev (>= 2.53.4),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.11.4),
+               libhandy-0.0-dev (>= 0.0.10),
                libtracker-sparql-2.0-dev,
                libwebkit2gtk-4.0-dev,
                libxml2-utils,
@@ -23,7 +24,7 @@
                meson (>= 0.43.0),
                pkg-config (>= 0.14.0),
                uuid-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://wiki.gnome.org/Apps/Notes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-notes.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dupdate_mimedb=false

## bijiben 3.38.0

=== meson_options.txt ===
option('zeitgeist', type: 'boolean', value: false, description: 'Enable Zeitgeist')
option('update_mimedb', type: 'boolean', value: true, description: 'update-mime-database after install')
option('private_store', type: 'boolean', value: false, description: 'Use Tracker private store instead of Tracker service')

=== debian/changelog ===
bijiben (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum webkit2gtk to 2.26

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Oct 2020 08:20:42 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libgtk-3-dev (>= 3.11.4),
                libhandy-0.0-dev (>= 0.0.10),
                libtracker-sparql-2.0-dev,
-               libwebkit2gtk-4.0-dev,
+               libwebkit2gtk-4.0-dev (>= 2.26),
                libxml2-utils,
                libxml2-dev,
                meson (>= 0.43.0),

## bijiben 40.1

=== debian/changelog ===
bijiben (40.1-3) unstable; urgency=medium

  * Add Provides: gnome-notes (Closes: #980312)
  * Cherry-pick patch to fix build with latest meson (Closes: #1005530)
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 09:11:33 -0400

bijiben (40.1-2) unstable; urgency=medium

  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:58:10 -0400

bijiben (40.1-1) experimental; urgency=medium

  * New upstream release
    + Added bidirectional text support to notes view
    + Dropped Zeitgeist support
    + Enabled formatting without dependency on selected text
    + Fixed e-mail sharing feature
    + Fixed issue preventing compiling single source files
    + Fixed many bugs and improved application code overall
    + Improved Help
    + Improved Nextcloud support by using Nextcloud Notes API
  * control: Update BDs for 40, and bump to tracker 3

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 10:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,26 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
+               libcurl4-gnutls-dev,
                libecal2.0-dev (>= 3.33.2),
                libedataserver1.2-dev (>= 3.13.90),
                libglib2.0-dev (>= 2.53.4),
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.11.4),
-               libhandy-0.0-dev (>= 0.0.10),
-               libtracker-sparql-2.0-dev,
+               libhandy-1-dev (>= 1.0.0),
+               libjson-glib-dev,
+               libtracker-sparql-3.0-dev,
                libwebkit2gtk-4.0-dev (>= 2.26),
                libxml2-utils,
                libxml2-dev,
                meson (>= 0.43.0),
                pkg-config (>= 0.14.0),
                uuid-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://wiki.gnome.org/Apps/Notes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-notes.git
@@ -37,6 +39,7 @@
          xdg-utils,
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gnome-notes (= ${binary:Version})
 Description: intuitive note editor integrated with GNOME 3
  Bijiben is a note editor that is designed to be intuitive and easy to use,
  and well integrated with GNOME 3. It aims to be simple and has an emphasis

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/bijiben/cache.json \
	\d+/bijiben-([\d.]+)@ARCHIVE_EXT@

## bijiben 40.2

=== meson_options.txt ===
option('update_mimedb', type: 'boolean', value: true, description: 'update-mime-database after install')
option('private_store', type: 'boolean', value: false, description: 'Use Tracker private store instead of Tracker service')
option('profile', type: 'combo', choices: [ 'default', 'development'], value: 'default')

=== debian/changelog ===
bijiben (40.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/upstream/metadata to match upstream VCS move
  * Move Salsa repo back to bijiben instead of gnome-notes
  * Remove Provides: gnome-notes
  * Remove references to GNOME 3 from package description
  * Bump Standards Version to 4.7.2
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 21:21:18 -0400

bijiben (40.1-8) unstable; urgency=medium

  * Depend on localsearch instead of tracker
  * Opt into dpkg build API v1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 09:47:02 -0400

bijiben (40.1-7) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 15:50:40 -0500

bijiben (40.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Remove unused license definitions for LGPL-2.0+, GPL-2.0+.
  * Update standards version to 4.6.1, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2022 14:13:11 -0500

bijiben (40.1-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:22:35 -0400

bijiben (40.1-4) experimental; urgency=medium

  * Cherry-pick patch to build with the webkit2gtk 4.1 API
  * Update dependencies for switch to libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2022 11:38:31 -0400

=== debian/control ===
Source: bijiben
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dpkg-build-api (= 1),
               itstool,
               libcurl4-gnutls-dev,
               libecal2.0-dev (>= 3.45.1),
               libedataserver1.2-dev (>= 3.45.1),
               libglib2.0-dev (>= 2.53.4),
               libgoa-1.0-dev (>= 3.45),
               libgtk-3-dev (>= 3.11.4),
               libhandy-1-dev (>= 1.0.0),
               libjson-glib-dev,
               libtracker-sparql-3.0-dev,
               libwebkit2gtk-4.1-dev,
               libxml2-dev,
               libxml2-utils,
               meson (>= 0.43.0),
               pkgconf,
               uuid-dev
Standards-Version: 4.7.2
Homepage: https://wiki.gnome.org/Apps/Notes
Vcs-Git: https://salsa.debian.org/gnome-team/bijiben.git
Vcs-Browser: https://salsa.debian.org/gnome-team/bijiben

Package: bijiben
Architecture: any
Depends: evolution-data-server,
         localsearch,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: intuitive note editor integrated with GNOME
 Bijiben is a note editor that is designed to be intuitive and easy to use,
 and well integrated with GNOME. It aims to be simple and has an emphasis
 on visuals: quickly write notes, and quickly retrieve them.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dupdate_mimedb=false
